{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block body %}

    {% block moreCss %}
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Pendaftaran Tryout
        {% endblock %}



    {% endembed %}

    <section class="container-fluid mt-3">

        <p class="mb-2 font-weight-bold mt-4">Detail Tryout</p>
        <div class="div-color text-left" style="background-color: #eee; border: 1px solid #aaa">
            <p class="mb-2 font-weight-bold f08">{{ data.tryout.title }}</p>
            <p class="mb-0  f08">Jenjang : {{ data.tryout.level.name }}</p>
            <p class="mb-0  f08">{{ data.tryout.startDay ? data.tryout.startDay|date("d M Y") : '' }} {{ data.tryout.finalDay ? ' - ' ~ data.tryout.finalDay|date("d M Y") : '' }}</p>
        </div>

        <p class="mb-2 font-weight-bold mt-4">Masukkan Data Pendaftar</p>
        <p class="f08">1. Masukkan email temen kamu yang ingin ikut Tryout pada kotak dibawah ya<br>
            2. Pastikan email yang kamu masukkan adalah email yang digunakan buat daftar di aplikasi Teman Belajar<br>
            3. Apabila semua email sudah dimasukkan tekan tombol “Daftarkan” untuk mendaftarkan.</p>

        <p class="div-color"
           style="background-color: var(--orange-temanbelajar-light); border: 1px solid var(--orange-temanbelajar)">Sisa
            email yang bisa kamu masukkan : <span
                    id="number">{{ (data.registrantNumber - 1) - data.invitation|length }}</span></p>


        <div class="form-group mt-4">
            <label for="email">Email</label>
            <div class="d-flex align-items-center">
                <input type="email" class="form-control mr-3 input-rounded" id="email" aria-describedby="emailHelp"
                       placeholder="Masukan Email">
                <a id="inviteNew"><i class="mdi mdi-add-circle t-primary f14"></i></a>
            </div>
            <small id="emailHelp" class="form-text text-muted"></small>
        </div>

        <table class="table mt-5">
            <thead>
            <tr >
                <th scope="col">#</th>
                <th scope="col">Email</th>
                <th scope="col"></th>
            </tr>
            </thead>
            <tbody id="invitationBody">
            {% for key, invitation in data.invitation %}
                <tr class="{{ invitation.isActive ? 'b-primary' : 'b-accent' }} text-white">
                    <th scope="row">{{ key + 1 }}</th>
                    <td>{{ invitation.user.email }}</td>
                    <td><a id="removeUser" data-cred="{{ invitation.id }}"><i class="mdi mdi-delete"></i></a></td>
                </tr>
            {% endfor %}

            </tbody>
        </table>
    </section>


    <div class="fixed-bottom p-2 bg-white container-fluid">
        <hr>
        <a class="bt-accent m-1 f10 d-block w-100 mt-2" id="activate">
            Daftarkan
        </a>
    </div>

    <div class="space-25h"></div>
{% endblock %}

    {% block JSMore %}
        <script src="{{ asset('js/wkwkwk.js') }}"></script>
        <script src="{{ asset('js/formatter.js') }}"></script>

        <script>
            let total = {{ (data.registrantNumber - 1) }}
                function addNewReg(data) {
                    let html = '';
                    data.map(function (single, key) {
                        total -= 1;
                        html += '<tr class="'+ (single['isActive'] ? 'b-primary' : 'b-accent') +' text-white">' +
                            '                    <th scope="row">' + (key + 1) + '</th>\n' +
                            '                    <td>' + single['user']['email'] + '</td>\n' +
                            '                    <td><a id="removeUser" data-cred=' + single['id'] + '>' +
                            '                               <i class="mdi mdi-delete"></i>' +
                            '                        </a>' +
                            '                    </td>\n' +
                            '                </tr>'
                    });
                    $("#invitationBody").html(html);
                    $("#number").html(total);
                    $("#email").val('');
                }

            function activation(data) {
                window.location.reload();
            }

            $(document).on("click", "a#removeUser", function () {
                ajaxCall("addNewReg", "{{ path("removePesertaTryoutApi", {reg : data.id}) }}", "POST", true, {
                    "cred": $(this).data('cred')
                });
            });
            $(document).on("click", "a#activate", function () {
                ajaxCall("activation", "{{ path("aktivasiPesertaTryoutApi", {reg : data.id}) }}", "POST", true);
            });
            $(document).on("click", "a#inviteNew", function () {
                ajaxCall("addNewReg", "{{ path("tambahPesertaTryoutApi", {reg : data.id}) }}", "POST", true, {
                    "email": $("#email").val()
                });
            });
        </script>
    {% endblock %}